libfreehand::FHCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libfreehand::FHCollector Class Reference

`#include <FHCollector.h>`

## Public Member Functions
| FHCollector ()
virtual | ~FHCollector ()
void | collectString (unsigned recordId, const librevenge::RVNGString &str)
void | collectName (unsigned recordId, const librevenge::RVNGString &str)
void | collectPath (unsigned recordId, const FHPath &path)
void | collectXform (unsigned recordId, double m11, double m21, double m12, double m22, double m13, double m23)
void | collectFHTail (unsigned recordId, const FHTail &fhTail)
void | collectBlock (unsigned recordId, const FHBlock &block)
void | collectList (unsigned recordId, const FHList &lst)
void | collectLayer (unsigned recordId, const FHLayer &layer)
void | collectGroup (unsigned recordId, const FHGroup &group)
void | collectClipGroup (unsigned recordId, const FHGroup &group)
void | collectPathText (unsigned recordId, const FHPathText &group)
void | collectCompositePath (unsigned recordId, const FHCompositePath &compositePath)
void | collectTString (unsigned recordId, const std::vector< unsigned > &elements)
void | collectAGDFont (unsigned recordId, const FHAGDFont &font)
void | collectTEffect (unsigned recordId, const FHTEffect &tEffect)
void | collectParagraph (unsigned recordId, const FHParagraph &paragraph)
void | collectTabTable (unsigned recordId, const std::vector< FHTab > &tabs)
void | collectTextBlok (unsigned recordId, const std::vector< unsigned short > &characters)
void | collectTextObject (unsigned recordId, const FHTextObject &textObject)
void | collectCharProps (unsigned recordId, const FHCharProperties &charProps)
void | collectParagraphProps (unsigned recordId, const FHParagraphProperties &paragraphProps)
void | collectPropList (unsigned recordId, const FHPropList &propertyList)
void | collectDisplayText (unsigned recordId, const FHDisplayText &displayText)
void | collectGraphicStyle (unsigned recordId, const FHGraphicStyle &graphicStyle)
void | collectAttributeHolder (unsigned recordId, const FHAttributeHolder &attributeHolder)
void | collectFilterAttributeHolder (unsigned recordId, const FHFilterAttributeHolder &filterAttributeHolder)
void | collectData (unsigned recordId, const librevenge::RVNGBinaryData &data)
void | collectDataList (unsigned recordId, const FHDataList &list)
void | collectImage (unsigned recordId, const FHImageImport &image)
void | collectMultiColorList (unsigned recordId, const std::vector< FHColorStop > &colorStops)
void | collectNewBlend (unsigned recordId, const FHNewBlend &newBlend)
void | collectOpacityFilter (unsigned recordId, double opacity)
void | collectFWShadowFilter (unsigned recordId, const FWShadowFilter &filter)
void | collectFWGlowFilter (unsigned recordId, const FWGlowFilter &filter)
void | collectPageInfo (const FHPageInfo &pageInfo)
void | collectColor (unsigned recordId, const FHRGBColor &color)
void | collectTintColor (unsigned recordId, const FHTintColor &color)
void | collectBasicFill (unsigned recordId, const FHBasicFill &fill)
void | collectLensFill (unsigned recordId, const FHLensFill &fill)
void | collectLinearFill (unsigned recordId, const FHLinearFill &fill)
void | collectRadialFill (unsigned recordId, const FHRadialFill &fill)
void | collectBasicLine (unsigned recordId, const FHBasicLine &line)
void | collectPatternLine (unsigned recordId, const FHPatternLine &line)
void | collectCustomProc (unsigned recordId, const FHCustomProc &lineFill)
void | collectTileFill (unsigned recordId, const FHTileFill &fill)
void | collectPatternFill (unsigned recordId, const FHPatternFill &fill)
void | collectLinePattern (unsigned recordId, const FHLinePattern &line)
void | collectArrowPath (unsigned recordId, const FHPath &path)
void | collectSymbolClass (unsigned recordId, const FHSymbolClass &symbolClass)
void | collectSymbolInstance (unsigned recordId, const FHSymbolInstance &symbolInstance)
void | outputDrawing (librevenge::RVNGDrawingInterface *painter)

## Private Member Functions
| FHCollector (const FHCollector &)
FHCollector & | operator= (const FHCollector &)
void | _normalizePath (FHPath &path)
void | _normalizePoint (double &x, double &y)
void | _outputPath (const FHPath *path, librevenge::RVNGDrawingInterface *painter)
void | _outputLayer (unsigned layerId, librevenge::RVNGDrawingInterface *painter)
void | _outputGroup (const FHGroup *group, librevenge::RVNGDrawingInterface *painter)
void | _outputClipGroup (const FHGroup *group, librevenge::RVNGDrawingInterface *painter)
void | _outputCompositePath (const FHCompositePath *compositePath, librevenge::RVNGDrawingInterface *painter)
void | _outputPathText (const FHPathText *pathText, librevenge::RVNGDrawingInterface *painter)
void | _outputTextObject (const FHTextObject *textObject, librevenge::RVNGDrawingInterface *painter)
void | _outputParagraph (const FHParagraph *paragraph, librevenge::RVNGDrawingInterface *painter, unsigned &actPos, unsigned minPos, unsigned maxPos)
void | _outputTextRun (const std::vector< unsigned short > *characters, unsigned offset, unsigned length, unsigned charStyleId, librevenge::RVNGDrawingInterface *painter)
void | _outputDisplayText (const FHDisplayText *displayText, librevenge::RVNGDrawingInterface *painter)
void | _outputImageImport (const FHImageImport *image, librevenge::RVNGDrawingInterface *painter)
void | _outputNewBlend (const FHNewBlend *newBlend, librevenge::RVNGDrawingInterface *painter)
void | _outputSymbolInstance (const FHSymbolInstance *symbolInstance, librevenge::RVNGDrawingInterface *painter)
void | _outputSomething (unsigned somethingId, librevenge::RVNGDrawingInterface *painter)
void | _getBBofPath (const FHPath *path, FHBoundingBox &bBox)
void | _getBBofLayer (unsigned layerId, FHBoundingBox &bBox)
void | _getBBofGroup (const FHGroup *group, FHBoundingBox &bBox)
void | _getBBofClipGroup (const FHGroup *group, FHBoundingBox &bBox)
void | _getBBofPathText (const FHPathText *pathText, FHBoundingBox &bBox)
void | _getBBofCompositePath (const FHCompositePath *compositePath, FHBoundingBox &bBox)
void | _getBBofTextObject (const FHTextObject *textObject, FHBoundingBox &bBox)
void | _getBBofDisplayText (const FHDisplayText *displayText, FHBoundingBox &bBox)
void | _getBBofImageImport (const FHImageImport *image, FHBoundingBox &bBox)
void | _getBBofNewBlend (const FHNewBlend *newBlend, FHBoundingBox &bBox)
void | _getBBofSymbolInstance (const FHSymbolInstance *symbolInstance, FHBoundingBox &bBox)
void | _getBBofSomething (unsigned somethingId, FHBoundingBox &bBox)
const std::vector< unsigned > * | _findListElements (unsigned id)
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, unsigned paraPropsId)
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const FH3ParaProperties &paraProps)
void | _appendCharacterProperties (librevenge::RVNGPropertyList &propList, unsigned charPropsId)
void | _appendCharacterProperties (librevenge::RVNGPropertyList &propList, const FH3CharProperties &charProps)
void | _appendFontProperties (librevenge::RVNGPropertyList &propList, unsigned agdFontId)
void | _appendTabProperties (librevenge::RVNGPropertyList &propList, const FHTab &tab)
void | _appendFillProperties (librevenge::RVNGPropertyList &propList, unsigned graphicStyleId)
void | _appendStrokeProperties (librevenge::RVNGPropertyList &propList, unsigned graphicStyleId)
void | _appendBasicFill (librevenge::RVNGPropertyList &propList, const FHBasicFill *basicFill)
void | _appendBasicLine (librevenge::RVNGPropertyList &propList, const FHBasicLine *basicLine)
void | _appendPatternLine (librevenge::RVNGPropertyList &propList, const FHPatternLine *basicLine)
void | _appendCustomProcFill (librevenge::RVNGPropertyList &propList, const FHCustomProc *customProc)
void | _appendCustomProcLine (librevenge::RVNGPropertyList &propList, const FHCustomProc *customProc)
void | _appendLinearFill (librevenge::RVNGPropertyList &propList, const FHLinearFill *linearFill)
void | _appendLensFill (librevenge::RVNGPropertyList &propList, const FHLensFill *lensFill)
void | _appendRadialFill (librevenge::RVNGPropertyList &propList, const FHRadialFill *radialFill)
void | _appendTileFill (librevenge::RVNGPropertyList &propList, const FHTileFill *tileFill)
void | _appendPatternFill (librevenge::RVNGPropertyList &propList, const FHPatternFill *patternFill)
void | _appendLinePattern (librevenge::RVNGPropertyList &propList, const FHLinePattern *linePattern)
void | _appendArrowPath (librevenge::RVNGPropertyList &propList, const FHPath *arrow, bool startArrow)
void | _appendOpacity (librevenge::RVNGPropertyList &propList, const double *opacity)
void | _appendShadow (librevenge::RVNGPropertyList &propList, const FWShadowFilter *filter)
void | _appendGlow (librevenge::RVNGPropertyList &propList, const FWGlowFilter *filter)
void | _applyFilter (librevenge::RVNGPropertyList &propList, unsigned filterId)
const std::vector< unsigned > * | _findTStringElements (unsigned id)
const FHPath * | _findPath (unsigned id)
const FHGroup * | _findGroup (unsigned id)
const FHGroup * | _findClipGroup (unsigned id)
const FHCompositePath * | _findCompositePath (unsigned id)
const FHPathText * | _findPathText (unsigned id)
const FHTextObject * | _findTextObject (unsigned id)
const FHTransform * | _findTransform (unsigned id)
const FHTEffect * | _findTEffect (unsigned id)
const FHParagraph * | _findParagraph (unsigned id)
const std::vector< FHTab > * | _findTabTable (unsigned id)
const FHPropList * | _findPropList (unsigned id)
const FHGraphicStyle * | _findGraphicStyle (unsigned id)
const std::vector< unsigned short > * | _findTextBlok (unsigned id)
const FHBasicFill * | _findBasicFill (unsigned id)
const FHLinearFill * | _findLinearFill (unsigned id)
const FHLensFill * | _findLensFill (unsigned id)
const FHRadialFill * | _findRadialFill (unsigned id)
const FHTileFill * | _findTileFill (unsigned id)
const FHPatternFill * | _findPatternFill (unsigned id)
const FHLinePattern * | _findLinePattern (unsigned id)
const FHPath * | _findArrowPath (unsigned id)
const FHBasicLine * | _findBasicLine (unsigned id)
const FHCustomProc * | _findCustomProc (unsigned id)
const FHPatternLine * | _findPatternLine (unsigned id)
const FHRGBColor * | _findRGBColor (unsigned id)
const FHTintColor * | _findTintColor (unsigned id)
const FHDisplayText * | _findDisplayText (unsigned id)
const FHImageImport * | _findImageImport (unsigned id)
const FHNewBlend * | _findNewBlend (unsigned id)
const double * | _findOpacityFilter (unsigned id)
const FWShadowFilter * | _findFWShadowFilter (unsigned id)
const FWGlowFilter * | _findFWGlowFilter (unsigned id)
const FHFilterAttributeHolder * | _findFilterAttributeHolder (unsigned id)
const librevenge::RVNGBinaryData * | _findData (unsigned id)
librevenge::RVNGString | getColorString (unsigned id, double tint=1)
unsigned | _findFillId (const FHGraphicStyle &graphicStyle)
unsigned | _findStrokeId (const FHGraphicStyle &graphicStyle)
const FHFilterAttributeHolder * | _findFilterAttributeHolder (const FHGraphicStyle &graphicStyle)
unsigned | _findValueFromAttribute (unsigned id)
const FHSymbolClass * | _findSymbolClass (unsigned id)
const FHSymbolInstance * | _findSymbolInstance (unsigned id)
unsigned | _findContentId (unsigned graphicStyleId)
const std::vector< FHColorStop > * | _findMultiColorList (unsigned id)
librevenge::RVNGBinaryData | getImageData (unsigned id)
FHRGBColor | getRGBFromTint (const FHTintColor &tint)
void | _generateBitmapFromPattern (librevenge::RVNGBinaryData &bitmap, unsigned colorId, const std::vector< unsigned char > &pattern)

## Private Attributes
FHPageInfo | m_pageInfo
FHTail | m_fhTail
std::pair< unsigned, FHBlock > | m_block
std::map< unsigned, FHTransform > | m_transforms
std::map< unsigned, FHPath > | m_paths
std::map< unsigned, librevenge::RVNGString > | m_strings
std::map< librevenge::RVNGString, unsigned > | m_names
std::map< unsigned, FHList > | m_lists
std::map< unsigned, FHLayer > | m_layers
std::map< unsigned, FHGroup > | m_groups
std::map< unsigned, FHGroup > | m_clipGroups
std::stack< FHTransform > | m_currentTransforms
std::vector< FHTransform > | m_fakeTransforms
std::map< unsigned, FHCompositePath > | m_compositePaths
std::map< unsigned, FHPathText > | m_pathTexts
std::map< unsigned, std::vector< unsigned > > | m_tStrings
std::map< unsigned, FHAGDFont > | m_fonts
std::map< unsigned, FHTEffect > | m_tEffects
std::map< unsigned, FHParagraph > | m_paragraphs
std::map< unsigned, std::vector< FHTab > > | m_tabs
std::map< unsigned, std::vector< unsigned short > > | m_textBloks
std::map< unsigned, FHTextObject > | m_textObjects
std::map< unsigned, FHCharProperties > | m_charProperties
std::map< unsigned, FHParagraphProperties > | m_paragraphProperties
std::map< unsigned, FHRGBColor > | m_rgbColors
std::map< unsigned, FHBasicFill > | m_basicFills
std::map< unsigned, FHPropList > | m_propertyLists
std::map< unsigned, FHBasicLine > | m_basicLines
std::map< unsigned, FHCustomProc > | m_customProcs
std::map< unsigned, FHPatternLine > | m_patternLines
std::map< unsigned, FHDisplayText > | m_displayTexts
std::map< unsigned, FHGraphicStyle > | m_graphicStyles
std::map< unsigned, FHAttributeHolder > | m_attributeHolders
std::map< unsigned, librevenge::RVNGBinaryData > | m_data
std::map< unsigned, FHDataList > | m_dataLists
std::map< unsigned, FHImageImport > | m_images
std::map< unsigned, std::vector< FHColorStop > > | m_multiColorLists
std::map< unsigned, FHLinearFill > | m_linearFills
std::map< unsigned, FHTintColor > | m_tints
std::map< unsigned, FHLensFill > | m_lensFills
std::map< unsigned, FHRadialFill > | m_radialFills
std::map< unsigned, FHNewBlend > | m_newBlends
std::map< unsigned, FHFilterAttributeHolder > | m_filterAttributeHolders
std::map< unsigned, double > | m_opacityFilters
std::map< unsigned, FWShadowFilter > | m_shadowFilters
std::map< unsigned, FWGlowFilter > | m_glowFilters
std::map< unsigned, FHTileFill > | m_tileFills
std::map< unsigned, FHSymbolClass > | m_symbolClasses
std::map< unsigned, FHSymbolInstance > | m_symbolInstances
std::map< unsigned, FHPatternFill > | m_patternFills
std::map< unsigned, FHLinePattern > | m_linePatterns
std::map< unsigned, FHPath > | m_arrowPaths
unsigned | m_strokeId
unsigned | m_fillId
unsigned | m_contentId
unsigned | m_textBoxNumberId
std::deque< unsigned > | m_visitedObjects

## Constructor & Destructor Documentation

## ◆ FHCollector() [1/2]

libfreehand::FHCollector::FHCollector | ( |  | ) |

## ◆ ~FHCollector()

libfreehand::FHCollector::~FHCollector | ( |  | ) |
| virtual

## ◆ FHCollector() [2/2]

libfreehand::FHCollector::FHCollector | ( | const FHCollector & |  | ) |
| private

## Member Function Documentation

## ◆ _appendArrowPath()

void libfreehand::FHCollector::_appendArrowPath | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHPath * | arrow,
|  | bool | startArrow )
| private

## ◆ _appendBasicFill()

void libfreehand::FHCollector::_appendBasicFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHBasicFill * | basicFill )
| private

## ◆ _appendBasicLine()

void libfreehand::FHCollector::_appendBasicLine | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHBasicLine * | basicLine )
| private

## ◆ _appendCharacterProperties() [1/2]

void libfreehand::FHCollector::_appendCharacterProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | const FH3CharProperties & | charProps )
| private

## ◆ _appendCharacterProperties() [2/2]

void libfreehand::FHCollector::_appendCharacterProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | unsigned | charPropsId )
| private

## ◆ _appendCustomProcFill()

void libfreehand::FHCollector::_appendCustomProcFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHCustomProc * | customProc )
| private

## ◆ _appendCustomProcLine()

void libfreehand::FHCollector::_appendCustomProcLine | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHCustomProc * | customProc )
| private

## ◆ _appendFillProperties()

void libfreehand::FHCollector::_appendFillProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | unsigned | graphicStyleId )
| private

## ◆ _appendFontProperties()

void libfreehand::FHCollector::_appendFontProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | unsigned | agdFontId )
| private

## ◆ _appendGlow()

void libfreehand::FHCollector::_appendGlow | ( | librevenge::RVNGPropertyList & | propList,
|  | const FWGlowFilter * | filter )
| private

## ◆ _appendLensFill()

void libfreehand::FHCollector::_appendLensFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHLensFill * | lensFill )
| private

## ◆ _appendLinearFill()

void libfreehand::FHCollector::_appendLinearFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHLinearFill * | linearFill )
| private

## ◆ _appendLinePattern()

void libfreehand::FHCollector::_appendLinePattern | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHLinePattern * | linePattern )
| private

## ◆ _appendOpacity()

void libfreehand::FHCollector::_appendOpacity | ( | librevenge::RVNGPropertyList & | propList,
|  | const double * | opacity )
| private

## ◆ _appendParagraphProperties() [1/2]

void libfreehand::FHCollector::_appendParagraphProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | const FH3ParaProperties & | paraProps )
| private

## ◆ _appendParagraphProperties() [2/2]

void libfreehand::FHCollector::_appendParagraphProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | unsigned | paraPropsId )
| private

## ◆ _appendPatternFill()

void libfreehand::FHCollector::_appendPatternFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHPatternFill * | patternFill )
| private

## ◆ _appendPatternLine()

void libfreehand::FHCollector::_appendPatternLine | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHPatternLine * | basicLine )
| private

## ◆ _appendRadialFill()

void libfreehand::FHCollector::_appendRadialFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHRadialFill * | radialFill )
| private

## ◆ _appendShadow()

void libfreehand::FHCollector::_appendShadow | ( | librevenge::RVNGPropertyList & | propList,
|  | const FWShadowFilter * | filter )
| private

## ◆ _appendStrokeProperties()

void libfreehand::FHCollector::_appendStrokeProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | unsigned | graphicStyleId )
| private

## ◆ _appendTabProperties()

void libfreehand::FHCollector::_appendTabProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHTab & | tab )
| private

## ◆ _appendTileFill()

void libfreehand::FHCollector::_appendTileFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const FHTileFill * | tileFill )
| private

## ◆ _applyFilter()

void libfreehand::FHCollector::_applyFilter | ( | librevenge::RVNGPropertyList & | propList,
|  | unsigned | filterId )
| private

## ◆ _findArrowPath()

const libfreehand::FHPath * libfreehand::FHCollector::_findArrowPath | ( | unsigned | id | ) |
| private

## ◆ _findBasicFill()

const libfreehand::FHBasicFill * libfreehand::FHCollector::_findBasicFill | ( | unsigned | id | ) |
| private

## ◆ _findBasicLine()

const libfreehand::FHBasicLine * libfreehand::FHCollector::_findBasicLine | ( | unsigned | id | ) |
| private

## ◆ _findClipGroup()

const libfreehand::FHGroup * libfreehand::FHCollector::_findClipGroup | ( | unsigned | id | ) |
| private

## ◆ _findCompositePath()

const libfreehand::FHCompositePath * libfreehand::FHCollector::_findCompositePath | ( | unsigned | id | ) |
| private

## ◆ _findContentId()

unsigned libfreehand::FHCollector::_findContentId | ( | unsigned | graphicStyleId | ) |
| private

## ◆ _findCustomProc()

const libfreehand::FHCustomProc * libfreehand::FHCollector::_findCustomProc | ( | unsigned | id | ) |
| private

## ◆ _findData()

const librevenge::RVNGBinaryData * libfreehand::FHCollector::_findData | ( | unsigned | id | ) |
| private

## ◆ _findDisplayText()

const libfreehand::FHDisplayText * libfreehand::FHCollector::_findDisplayText | ( | unsigned | id | ) |
| private

## ◆ _findFillId()

unsigned libfreehand::FHCollector::_findFillId | ( | const FHGraphicStyle & | graphicStyle | ) |
| private

## ◆ _findFilterAttributeHolder() [1/2]

const libfreehand::FHFilterAttributeHolder * libfreehand::FHCollector::_findFilterAttributeHolder | ( | const FHGraphicStyle & | graphicStyle | ) |
| private

## ◆ _findFilterAttributeHolder() [2/2]

const libfreehand::FHFilterAttributeHolder * libfreehand::FHCollector::_findFilterAttributeHolder | ( | unsigned | id | ) |
| private

## ◆ _findFWGlowFilter()

const libfreehand::FWGlowFilter * libfreehand::FHCollector::_findFWGlowFilter | ( | unsigned | id | ) |
| private

## ◆ _findFWShadowFilter()

const libfreehand::FWShadowFilter * libfreehand::FHCollector::_findFWShadowFilter | ( | unsigned | id | ) |
| private

## ◆ _findGraphicStyle()

const libfreehand::FHGraphicStyle * libfreehand::FHCollector::_findGraphicStyle | ( | unsigned | id | ) |
| private

## ◆ _findGroup()

const libfreehand::FHGroup * libfreehand::FHCollector::_findGroup | ( | unsigned | id | ) |
| private

## ◆ _findImageImport()

const libfreehand::FHImageImport * libfreehand::FHCollector::_findImageImport | ( | unsigned | id | ) |
| private

## ◆ _findLensFill()

const libfreehand::FHLensFill * libfreehand::FHCollector::_findLensFill | ( | unsigned | id | ) |
| private

## ◆ _findLinearFill()

const libfreehand::FHLinearFill * libfreehand::FHCollector::_findLinearFill | ( | unsigned | id | ) |
| private

## ◆ _findLinePattern()

const libfreehand::FHLinePattern * libfreehand::FHCollector::_findLinePattern | ( | unsigned | id | ) |
| private

## ◆ _findListElements()

const std::vector< unsigned > * libfreehand::FHCollector::_findListElements | ( | unsigned | id | ) |
| private

## ◆ _findMultiColorList()

const std::vector< libfreehand::FHColorStop > * libfreehand::FHCollector::_findMultiColorList | ( | unsigned | id | ) |
| private

## ◆ _findNewBlend()

const libfreehand::FHNewBlend * libfreehand::FHCollector::_findNewBlend | ( | unsigned | id | ) |
| private

## ◆ _findOpacityFilter()

const double * libfreehand::FHCollector::_findOpacityFilter | ( | unsigned | id | ) |
| private

## ◆ _findParagraph()

const libfreehand::FHParagraph * libfreehand::FHCollector::_findParagraph | ( | unsigned | id | ) |
| private

## ◆ _findPath()

const libfreehand::FHPath * libfreehand::FHCollector::_findPath | ( | unsigned | id | ) |
| private

## ◆ _findPathText()

const libfreehand::FHPathText * libfreehand::FHCollector::_findPathText | ( | unsigned | id | ) |
| private

## ◆ _findPatternFill()

const libfreehand::FHPatternFill * libfreehand::FHCollector::_findPatternFill | ( | unsigned | id | ) |
| private

## ◆ _findPatternLine()

const libfreehand::FHPatternLine * libfreehand::FHCollector::_findPatternLine | ( | unsigned | id | ) |
| private

## ◆ _findPropList()

const libfreehand::FHPropList * libfreehand::FHCollector::_findPropList | ( | unsigned | id | ) |
| private

## ◆ _findRadialFill()

const libfreehand::FHRadialFill * libfreehand::FHCollector::_findRadialFill | ( | unsigned | id | ) |
| private

## ◆ _findRGBColor()

const libfreehand::FHRGBColor * libfreehand::FHCollector::_findRGBColor | ( | unsigned | id | ) |
| private

## ◆ _findStrokeId()

unsigned libfreehand::FHCollector::_findStrokeId | ( | const FHGraphicStyle & | graphicStyle | ) |
| private

## ◆ _findSymbolClass()

const libfreehand::FHSymbolClass * libfreehand::FHCollector::_findSymbolClass | ( | unsigned | id | ) |
| private

## ◆ _findSymbolInstance()

const libfreehand::FHSymbolInstance * libfreehand::FHCollector::_findSymbolInstance | ( | unsigned | id | ) |
| private

## ◆ _findTabTable()

const std::vector< libfreehand::FHTab > * libfreehand::FHCollector::_findTabTable | ( | unsigned | id | ) |
| private

## ◆ _findTEffect()

const libfreehand::FHTEffect * libfreehand::FHCollector::_findTEffect | ( | unsigned | id | ) |
| private

## ◆ _findTextBlok()

const std::vector< unsigned short > * libfreehand::FHCollector::_findTextBlok | ( | unsigned | id | ) |
| private

## ◆ _findTextObject()

const libfreehand::FHTextObject * libfreehand::FHCollector::_findTextObject | ( | unsigned | id | ) |
| private

## ◆ _findTileFill()

const libfreehand::FHTileFill * libfreehand::FHCollector::_findTileFill | ( | unsigned | id | ) |
| private

## ◆ _findTintColor()

const libfreehand::FHTintColor * libfreehand::FHCollector::_findTintColor | ( | unsigned | id | ) |
| private

## ◆ _findTransform()

const libfreehand::FHTransform * libfreehand::FHCollector::_findTransform | ( | unsigned | id | ) |
| private

## ◆ _findTStringElements()

const std::vector< unsigned > * libfreehand::FHCollector::_findTStringElements | ( | unsigned | id | ) |
| private

## ◆ _findValueFromAttribute()

unsigned libfreehand::FHCollector::_findValueFromAttribute | ( | unsigned | id | ) |
| private

## ◆ _generateBitmapFromPattern()

void libfreehand::FHCollector::_generateBitmapFromPattern | ( | librevenge::RVNGBinaryData & | bitmap,
|  | unsigned | colorId,
|  | const std::vector< unsigned char > & | pattern )
| private

## ◆ _getBBofClipGroup()

void libfreehand::FHCollector::_getBBofClipGroup | ( | const FHGroup * | group,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofCompositePath()

void libfreehand::FHCollector::_getBBofCompositePath | ( | const FHCompositePath * | compositePath,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofDisplayText()

void libfreehand::FHCollector::_getBBofDisplayText | ( | const FHDisplayText * | displayText,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofGroup()

void libfreehand::FHCollector::_getBBofGroup | ( | const FHGroup * | group,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofImageImport()

void libfreehand::FHCollector::_getBBofImageImport | ( | const FHImageImport * | image,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofLayer()

void libfreehand::FHCollector::_getBBofLayer | ( | unsigned | layerId,
|  | FHBoundingBox & | bBox )
| private

## ◆ _getBBofNewBlend()

void libfreehand::FHCollector::_getBBofNewBlend | ( | const FHNewBlend * | newBlend,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofPath()

void libfreehand::FHCollector::_getBBofPath | ( | const FHPath * | path,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofPathText()

void libfreehand::FHCollector::_getBBofPathText | ( | const FHPathText * | pathText,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofSomething()

void libfreehand::FHCollector::_getBBofSomething | ( | unsigned | somethingId,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofSymbolInstance()

void libfreehand::FHCollector::_getBBofSymbolInstance | ( | const FHSymbolInstance * | symbolInstance,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _getBBofTextObject()

void libfreehand::FHCollector::_getBBofTextObject | ( | const FHTextObject * | textObject,
|  | libfreehand::FHBoundingBox & | bBox )
| private

## ◆ _normalizePath()

void libfreehand::FHCollector::_normalizePath | ( | libfreehand::FHPath & | path | ) |
| private

## ◆ _normalizePoint()

void libfreehand::FHCollector::_normalizePoint | ( | double & | x,
|  | double & | y )
| private

## ◆ _outputClipGroup()

void libfreehand::FHCollector::_outputClipGroup | ( | const FHGroup * | group,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputCompositePath()

void libfreehand::FHCollector::_outputCompositePath | ( | const FHCompositePath * | compositePath,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputDisplayText()

void libfreehand::FHCollector::_outputDisplayText | ( | const FHDisplayText * | displayText,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputGroup()

void libfreehand::FHCollector::_outputGroup | ( | const FHGroup * | group,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputImageImport()

void libfreehand::FHCollector::_outputImageImport | ( | const FHImageImport * | image,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputLayer()

void libfreehand::FHCollector::_outputLayer | ( | unsigned | layerId,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputNewBlend()

void libfreehand::FHCollector::_outputNewBlend | ( | const FHNewBlend * | newBlend,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputParagraph()

void libfreehand::FHCollector::_outputParagraph | ( | const FHParagraph * | paragraph,
|  | librevenge::RVNGDrawingInterface * | painter,
|  | unsigned & | actPos,
|  | unsigned | minPos,
|  | unsigned | maxPos )
| private

## ◆ _outputPath()

void libfreehand::FHCollector::_outputPath | ( | const FHPath * | path,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputPathText()

void libfreehand::FHCollector::_outputPathText | ( | const FHPathText * | pathText,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputSomething()

void libfreehand::FHCollector::_outputSomething | ( | unsigned | somethingId,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputSymbolInstance()

void libfreehand::FHCollector::_outputSymbolInstance | ( | const FHSymbolInstance * | symbolInstance,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputTextObject()

void libfreehand::FHCollector::_outputTextObject | ( | const FHTextObject * | textObject,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ _outputTextRun()

void libfreehand::FHCollector::_outputTextRun | ( | const std::vector< unsigned short > * | characters,
|  | unsigned | offset,
|  | unsigned | length,
|  | unsigned | charStyleId,
|  | librevenge::RVNGDrawingInterface * | painter )
| private

## ◆ collectAGDFont()

void libfreehand::FHCollector::collectAGDFont | ( | unsigned | recordId,
|  | const FHAGDFont & | font )

Referenced by libfreehand::FHParser::readAGDFont().

## ◆ collectArrowPath()

void libfreehand::FHCollector::collectArrowPath | ( | unsigned | recordId,
|  | const FHPath & | path )

Referenced by libfreehand::FHParser::readArrowPath().

## ◆ collectAttributeHolder()

void libfreehand::FHCollector::collectAttributeHolder | ( | unsigned | recordId,
|  | const FHAttributeHolder & | attributeHolder )

Referenced by libfreehand::FHParser::readAttributeHolder().

## ◆ collectBasicFill()

void libfreehand::FHCollector::collectBasicFill | ( | unsigned | recordId,
|  | const FHBasicFill & | fill )

Referenced by libfreehand::FHParser::readBasicFill(), and libfreehand::FHParser::readPSFill().

## ◆ collectBasicLine()

void libfreehand::FHCollector::collectBasicLine | ( | unsigned | recordId,
|  | const FHBasicLine & | line )

Referenced by libfreehand::FHParser::readBasicLine(), and libfreehand::FHParser::readPSLine().

## ◆ collectBlock()

void libfreehand::FHCollector::collectBlock | ( | unsigned | recordId,
|  | const FHBlock & | block )

Referenced by libfreehand::FHParser::readBlock().

## ◆ collectCharProps()

void libfreehand::FHCollector::collectCharProps | ( | unsigned | recordId,
|  | const FHCharProperties & | charProps )

Referenced by libfreehand::FHParser::readVMpObj().

## ◆ collectClipGroup()

void libfreehand::FHCollector::collectClipGroup | ( | unsigned | recordId,
|  | const FHGroup & | group )

Referenced by libfreehand::FHParser::readClipGroup().

## ◆ collectColor()

void libfreehand::FHCollector::collectColor | ( | unsigned | recordId,
|  | const FHRGBColor & | color )

Referenced by libfreehand::FHParser::readColor6(), libfreehand::FHParser::readPantoneColor(), libfreehand::FHParser::readProcessColor(), libfreehand::FHParser::readSpotColor(), libfreehand::FHParser::readSpotColor6(), libfreehand::FHParser::readTintColor(), and libfreehand::FHParser::readTintColor6().

## ◆ collectCompositePath()

void libfreehand::FHCollector::collectCompositePath | ( | unsigned | recordId,
|  | const FHCompositePath & | compositePath )

Referenced by libfreehand::FHParser::readCompositePath().

## ◆ collectCustomProc()

void libfreehand::FHCollector::collectCustomProc | ( | unsigned | recordId,
|  | const FHCustomProc & | lineFill )

Referenced by libfreehand::FHParser::readCustomProc().

## ◆ collectData()

void libfreehand::FHCollector::collectData | ( | unsigned | recordId,
|  | const librevenge::RVNGBinaryData & | data )

Referenced by libfreehand::FHParser::readData().

## ◆ collectDataList()

void libfreehand::FHCollector::collectDataList | ( | unsigned | recordId,
|  | const FHDataList & | list )

Referenced by libfreehand::FHParser::readDataList().

## ◆ collectDisplayText()

void libfreehand::FHCollector::collectDisplayText | ( | unsigned | recordId,
|  | const FHDisplayText & | displayText )

Referenced by libfreehand::FHParser::readDisplayText().

## ◆ collectFHTail()

void libfreehand::FHCollector::collectFHTail | ( | unsigned | recordId,
|  | const FHTail & | fhTail )

Referenced by libfreehand::FHParser::readFHTail().

## ◆ collectFilterAttributeHolder()

void libfreehand::FHCollector::collectFilterAttributeHolder | ( | unsigned | recordId,
|  | const FHFilterAttributeHolder & | filterAttributeHolder )

Referenced by libfreehand::FHParser::readFilterAttributeHolder().

## ◆ collectFWGlowFilter()

void libfreehand::FHCollector::collectFWGlowFilter | ( | unsigned | recordId,
|  | const FWGlowFilter & | filter )

Referenced by libfreehand::FHParser::readFWGlowFilter().

## ◆ collectFWShadowFilter()

void libfreehand::FHCollector::collectFWShadowFilter | ( | unsigned | recordId,
|  | const FWShadowFilter & | filter )

Referenced by libfreehand::FHParser::readFWShadowFilter().

## ◆ collectGraphicStyle()

void libfreehand::FHCollector::collectGraphicStyle | ( | unsigned | recordId,
|  | const FHGraphicStyle & | graphicStyle )

Referenced by libfreehand::FHParser::readGraphicStyle().

## ◆ collectGroup()

void libfreehand::FHCollector::collectGroup | ( | unsigned | recordId,
|  | const FHGroup & | group )

Referenced by libfreehand::FHParser::readGroup().

## ◆ collectImage()

void libfreehand::FHCollector::collectImage | ( | unsigned | recordId,
|  | const FHImageImport & | image )

Referenced by libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

## ◆ collectLayer()

void libfreehand::FHCollector::collectLayer | ( | unsigned | recordId,
|  | const FHLayer & | layer )

Referenced by libfreehand::FHParser::readLayer().

## ◆ collectLensFill()

void libfreehand::FHCollector::collectLensFill | ( | unsigned | recordId,
|  | const FHLensFill & | fill )

Referenced by libfreehand::FHParser::readLensFill().

## ◆ collectLinearFill()

void libfreehand::FHCollector::collectLinearFill | ( | unsigned | recordId,
|  | const FHLinearFill & | fill )

Referenced by libfreehand::FHParser::readConeFill(), libfreehand::FHParser::readLinearFill(), libfreehand::FHParser::readTaperedFill(), and libfreehand::FHParser::readTaperedFillX().

## ◆ collectLinePattern()

void libfreehand::FHCollector::collectLinePattern | ( | unsigned | recordId,
|  | const FHLinePattern & | line )

Referenced by libfreehand::FHParser::readLinePat().

## ◆ collectList()

void libfreehand::FHCollector::collectList | ( | unsigned | recordId,
|  | const FHList & | lst )

Referenced by libfreehand::FHParser::readList().

## ◆ collectMultiColorList()

void libfreehand::FHCollector::collectMultiColorList | ( | unsigned | recordId,
|  | const std::vector< FHColorStop > & | colorStops )

Referenced by libfreehand::FHParser::readMultiColorList().

## ◆ collectName()

void libfreehand::FHCollector::collectName | ( | unsigned | recordId,
|  | const librevenge::RVNGString & | str )

Referenced by libfreehand::FHParser::readMName().

## ◆ collectNewBlend()

void libfreehand::FHCollector::collectNewBlend | ( | unsigned | recordId,
|  | const FHNewBlend & | newBlend )

Referenced by libfreehand::FHParser::readNewBlend().

## ◆ collectOpacityFilter()

void libfreehand::FHCollector::collectOpacityFilter | ( | unsigned | recordId,
|  | double | opacity )

Referenced by libfreehand::FHParser::readOpacityFilter().

## ◆ collectPageInfo()

void libfreehand::FHCollector::collectPageInfo | ( | const FHPageInfo & | pageInfo | ) |

Referenced by libfreehand::FHParser::parseDocument().

## ◆ collectParagraph()

void libfreehand::FHCollector::collectParagraph | ( | unsigned | recordId,
|  | const FHParagraph & | paragraph )

Referenced by libfreehand::FHParser::readParagraph().

## ◆ collectParagraphProps()

void libfreehand::FHCollector::collectParagraphProps | ( | unsigned | recordId,
|  | const FHParagraphProperties & | paragraphProps )

Referenced by libfreehand::FHParser::readVMpObj().

## ◆ collectPath()

void libfreehand::FHCollector::collectPath | ( | unsigned | recordId,
|  | const FHPath & | path )

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ collectPathText()

void libfreehand::FHCollector::collectPathText | ( | unsigned | recordId,
|  | const FHPathText & | group )

Referenced by libfreehand::FHParser::readPathText().

## ◆ collectPatternFill()

void libfreehand::FHCollector::collectPatternFill | ( | unsigned | recordId,
|  | const FHPatternFill & | fill )

Referenced by libfreehand::FHParser::readPatternFill().

## ◆ collectPatternLine()

void libfreehand::FHCollector::collectPatternLine | ( | unsigned | recordId,
|  | const FHPatternLine & | line )

Referenced by libfreehand::FHParser::readPatternLine().

## ◆ collectPropList()

void libfreehand::FHCollector::collectPropList | ( | unsigned | recordId,
|  | const FHPropList & | propertyList )

Referenced by libfreehand::FHParser::readElemPropLst(), libfreehand::FHParser::readPropLst(), and libfreehand::FHParser::readStylePropLst().

## ◆ collectRadialFill()

void libfreehand::FHCollector::collectRadialFill | ( | unsigned | recordId,
|  | const FHRadialFill & | fill )

Referenced by libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

## ◆ collectString()

void libfreehand::FHCollector::collectString | ( | unsigned | recordId,
|  | const librevenge::RVNGString & | str )

Referenced by libfreehand::FHParser::readMName(), libfreehand::FHParser::readMString(), and libfreehand::FHParser::readUString().

## ◆ collectSymbolClass()

void libfreehand::FHCollector::collectSymbolClass | ( | unsigned | recordId,
|  | const FHSymbolClass & | symbolClass )

Referenced by libfreehand::FHParser::readSymbolClass().

## ◆ collectSymbolInstance()

void libfreehand::FHCollector::collectSymbolInstance | ( | unsigned | recordId,
|  | const FHSymbolInstance & | symbolInstance )

Referenced by libfreehand::FHParser::readSymbolInstance().

## ◆ collectTabTable()

void libfreehand::FHCollector::collectTabTable | ( | unsigned | recordId,
|  | const std::vector< FHTab > & | tabs )

Referenced by libfreehand::FHParser::readTabTable().

## ◆ collectTEffect()

void libfreehand::FHCollector::collectTEffect | ( | unsigned | recordId,
|  | const FHTEffect & | tEffect )

Referenced by libfreehand::FHParser::readTEffect(), and libfreehand::FHParser::readTextEffs().

## ◆ collectTextBlok()

void libfreehand::FHCollector::collectTextBlok | ( | unsigned | recordId,
|  | const std::vector< unsigned short > & | characters )

Referenced by libfreehand::FHParser::readTextBlok().

## ◆ collectTextObject()

void libfreehand::FHCollector::collectTextObject | ( | unsigned | recordId,
|  | const FHTextObject & | textObject )

Referenced by libfreehand::FHParser::readTextObject().

## ◆ collectTileFill()

void libfreehand::FHCollector::collectTileFill | ( | unsigned | recordId,
|  | const FHTileFill & | fill )

Referenced by libfreehand::FHParser::readTileFill().

## ◆ collectTintColor()

void libfreehand::FHCollector::collectTintColor | ( | unsigned | recordId,
|  | const FHTintColor & | color )

Referenced by libfreehand::FHParser::readTintColor().

## ◆ collectTString()

void libfreehand::FHCollector::collectTString | ( | unsigned | recordId,
|  | const std::vector< unsigned > & | elements )

Referenced by libfreehand::FHParser::readTString().

## ◆ collectXform()

void libfreehand::FHCollector::collectXform | ( | unsigned | recordId,
|  | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22,
|  | double | m13,
|  | double | m23 )

Referenced by libfreehand::FHParser::readXform().

## ◆ getColorString()

librevenge::RVNGString libfreehand::FHCollector::getColorString | ( | unsigned | id,
|  | double | tint = 1 )
| private

## ◆ getImageData()

librevenge::RVNGBinaryData libfreehand::FHCollector::getImageData | ( | unsigned | id | ) |
| private

## ◆ getRGBFromTint()

libfreehand::FHRGBColor libfreehand::FHCollector::getRGBFromTint | ( | const FHTintColor & | tint | ) |
| private

## ◆ operator=()

FHCollector & libfreehand::FHCollector::operator= | ( | const FHCollector & |  | ) |
| private

## ◆ outputDrawing()

void libfreehand::FHCollector::outputDrawing | ( | librevenge::RVNGDrawingInterface * | painter | ) |

Referenced by libfreehand::FHParser::parse().

## Member Data Documentation

## ◆ m_arrowPaths

std::map<unsigned, FHPath> libfreehand::FHCollector::m_arrowPaths
| private

## ◆ m_attributeHolders

std::map<unsigned, FHAttributeHolder> libfreehand::FHCollector::m_attributeHolders
| private

## ◆ m_basicFills

std::map<unsigned, FHBasicFill> libfreehand::FHCollector::m_basicFills
| private

## ◆ m_basicLines

std::map<unsigned, FHBasicLine> libfreehand::FHCollector::m_basicLines
| private

## ◆ m_block

std::pair<unsigned, FHBlock> libfreehand::FHCollector::m_block
| private

## ◆ m_charProperties

std::map<unsigned, FHCharProperties> libfreehand::FHCollector::m_charProperties
| private

## ◆ m_clipGroups

std::map<unsigned, FHGroup> libfreehand::FHCollector::m_clipGroups
| private

## ◆ m_compositePaths

std::map<unsigned, FHCompositePath> libfreehand::FHCollector::m_compositePaths
| private

## ◆ m_contentId

unsigned libfreehand::FHCollector::m_contentId
| private

## ◆ m_currentTransforms

std::stack<FHTransform> libfreehand::FHCollector::m_currentTransforms
| private

## ◆ m_customProcs

std::map<unsigned, FHCustomProc> libfreehand::FHCollector::m_customProcs
| private

## ◆ m_data

std::map<unsigned, librevenge::RVNGBinaryData> libfreehand::FHCollector::m_data
| private

## ◆ m_dataLists

std::map<unsigned, FHDataList> libfreehand::FHCollector::m_dataLists
| private

## ◆ m_displayTexts

std::map<unsigned, FHDisplayText> libfreehand::FHCollector::m_displayTexts
| private

## ◆ m_fakeTransforms

std::vector<FHTransform> libfreehand::FHCollector::m_fakeTransforms
| private

## ◆ m_fhTail

FHTail libfreehand::FHCollector::m_fhTail
| private

## ◆ m_fillId

unsigned libfreehand::FHCollector::m_fillId
| private

## ◆ m_filterAttributeHolders

std::map<unsigned, FHFilterAttributeHolder> libfreehand::FHCollector::m_filterAttributeHolders
| private

## ◆ m_fonts

std::map<unsigned, FHAGDFont> libfreehand::FHCollector::m_fonts
| private

## ◆ m_glowFilters

std::map<unsigned, FWGlowFilter> libfreehand::FHCollector::m_glowFilters
| private

## ◆ m_graphicStyles

std::map<unsigned, FHGraphicStyle> libfreehand::FHCollector::m_graphicStyles
| private

## ◆ m_groups

std::map<unsigned, FHGroup> libfreehand::FHCollector::m_groups
| private

## ◆ m_images

std::map<unsigned, FHImageImport> libfreehand::FHCollector::m_images
| private

## ◆ m_layers

std::map<unsigned, FHLayer> libfreehand::FHCollector::m_layers
| private

## ◆ m_lensFills

std::map<unsigned, FHLensFill> libfreehand::FHCollector::m_lensFills
| private

## ◆ m_linearFills

std::map<unsigned, FHLinearFill> libfreehand::FHCollector::m_linearFills
| private

## ◆ m_linePatterns

std::map<unsigned, FHLinePattern> libfreehand::FHCollector::m_linePatterns
| private

## ◆ m_lists

std::map<unsigned, FHList> libfreehand::FHCollector::m_lists
| private

## ◆ m_multiColorLists

std::map<unsigned, std::vector<FHColorStop> > libfreehand::FHCollector::m_multiColorLists
| private

## ◆ m_names

std::map<librevenge::RVNGString, unsigned> libfreehand::FHCollector::m_names
| private

## ◆ m_newBlends

std::map<unsigned, FHNewBlend> libfreehand::FHCollector::m_newBlends
| private

## ◆ m_opacityFilters

std::map<unsigned, double> libfreehand::FHCollector::m_opacityFilters
| private

## ◆ m_pageInfo

FHPageInfo libfreehand::FHCollector::m_pageInfo
| private

## ◆ m_paragraphProperties

std::map<unsigned, FHParagraphProperties> libfreehand::FHCollector::m_paragraphProperties
| private

## ◆ m_paragraphs

std::map<unsigned, FHParagraph> libfreehand::FHCollector::m_paragraphs
| private

## ◆ m_paths

std::map<unsigned, FHPath> libfreehand::FHCollector::m_paths
| private

## ◆ m_pathTexts

std::map<unsigned, FHPathText> libfreehand::FHCollector::m_pathTexts
| private

## ◆ m_patternFills

std::map<unsigned, FHPatternFill> libfreehand::FHCollector::m_patternFills
| private

## ◆ m_patternLines

std::map<unsigned, FHPatternLine> libfreehand::FHCollector::m_patternLines
| private

## ◆ m_propertyLists

std::map<unsigned, FHPropList> libfreehand::FHCollector::m_propertyLists
| private

## ◆ m_radialFills

std::map<unsigned, FHRadialFill> libfreehand::FHCollector::m_radialFills
| private

## ◆ m_rgbColors

std::map<unsigned, FHRGBColor> libfreehand::FHCollector::m_rgbColors
| private

## ◆ m_shadowFilters

std::map<unsigned, FWShadowFilter> libfreehand::FHCollector::m_shadowFilters
| private

## ◆ m_strings

std::map<unsigned, librevenge::RVNGString> libfreehand::FHCollector::m_strings
| private

## ◆ m_strokeId

unsigned libfreehand::FHCollector::m_strokeId
| private

## ◆ m_symbolClasses

std::map<unsigned, FHSymbolClass> libfreehand::FHCollector::m_symbolClasses
| private

## ◆ m_symbolInstances

std::map<unsigned, FHSymbolInstance> libfreehand::FHCollector::m_symbolInstances
| private

## ◆ m_tabs

std::map<unsigned, std::vector<FHTab> > libfreehand::FHCollector::m_tabs
| private

## ◆ m_tEffects

std::map<unsigned, FHTEffect> libfreehand::FHCollector::m_tEffects
| private

## ◆ m_textBloks

std::map<unsigned, std::vector<unsigned short> > libfreehand::FHCollector::m_textBloks
| private

## ◆ m_textBoxNumberId

unsigned libfreehand::FHCollector::m_textBoxNumberId
| private

## ◆ m_textObjects

std::map<unsigned, FHTextObject> libfreehand::FHCollector::m_textObjects
| private

## ◆ m_tileFills

std::map<unsigned, FHTileFill> libfreehand::FHCollector::m_tileFills
| private

## ◆ m_tints

std::map<unsigned, FHTintColor> libfreehand::FHCollector::m_tints
| private

## ◆ m_transforms

std::map<unsigned, FHTransform> libfreehand::FHCollector::m_transforms
| private

## ◆ m_tStrings

std::map<unsigned, std::vector<unsigned> > libfreehand::FHCollector::m_tStrings
| private

## ◆ m_visitedObjects

std::deque<unsigned> libfreehand::FHCollector::m_visitedObjects
| private

The documentation for this class was generated from the following files:

- FHCollector.h
- FHCollector.cpp